import es
import random
import os

##########################
#####begin of config######
##########################

## volume control from 0.1 - 1.0   //  Lautstaerkenregelung von 0.1 -1.0

wsVolume = 1.0


# Path for the personal winner sounds  //  Pfad fuer die personalisierten winner Sounds

wsPSound = 'gts-fun.de/ggws/perso'


# Path for the random winner sounds  //  Pfad fuer die zufaelligen winner Sounds

wsRSound = 'gts-fun.de/ggws/rand'


# SteamID and the corresponding sound name  //  SteamID und den entsprechenden Sound Namen

wsIndex = {

"STEAM_0:0:0000000" : "freez.mp3",
"STEAM_0:0:0000001" : "peter.mp3",

}


##########################
######end of config#######
##########################

#########################################################################################
### Do not change anything under this line unless you know exectly what you are doing ###
###         Unter dieser Linie nichts veraendern ausser du weist was du da tust       ###
#########################################################################################

info = es.AddonInfo()
info.name = "GunGame Winner Sounds"
info.version = "1.0"
info.author = "FreeZ"
info.url = "http://gts-fun.de"
info.basename = "ggwinnersounds"
info.description = "Winner Sounds for GunGame"
info.copyright = "2010 - 2120"

wsSoundlistP = {}
wsSoundlistR = {}

def load():
    es.set(info.basename , info.version)
    es.makepublic(info.basename)
    global wsSoundlistP
    global wsSoundlistR
    
    wsSoundlistP = os.listdir('%s/cstrike/sound/%s/' % (os.getcwd(),wsPSound))
    wsSoundlistR = os.listdir('%s/cstrike/sound/%s/' % (os.getcwd(),wsRSound))


def es_map_start(ev):
    download()


def gg_win(ev):
    attacker = ev['attacker']
    wsSteamid = es.getplayersteamid(attacker)

    if wsSteamid in wsIndex:
       for player in es.getUseridList():
           es.playsound(player, wsPSound + "/"  + wsIndex[wsSteamid], wsVolume)
    else:
         wsEndsound = wsRSound + "/"  + random.choice(wsSoundlistR)
         for player in es.getUseridList():
             es.playsound(player, wsEndsound, wsVolume)
             #es.playsound(player, wsRSound + "/"  + random.choice(wsSoundlistR), wsVolume)
    
        
def download():
    for i in range(0, len(wsSoundlistP)):
        if wsSoundlistP[i].endswith('wav') or wsSoundlistP[i].endswith('mp3'):
			es.stringtable('downloadables', 'sound/%s/%s' %(wsPSound, wsSoundlistP[i]))
	for i in range(0, len(wsSoundlistR)):
		if wsSoundlistR[i].endswith('wav') or wsSoundlistR[i].endswith('mp3'):
			es.stringtable('downloadables', 'sound/%s/%s' %(wsRSound, wsSoundlistR[i]))
    
    